minieap(1)

NAME
minieap - Extensible 802.1x client with Ruijie v3/v4 support

SYNOPSIS
minieap [OPTIONS...]

DESCRIPTION
minieap can be used as a supplicant for modified 802.1x authentication methods like Ruijie.

OPTIONS

--help, -h
    show help information

--kill, -k [0|...]
    kill other instances and exit. args other than 0 means to kill other instances and keeps running.

--save, -w
    save present config

--username, -u <username>
    username

--password, -p <username>
    password

--nic, -n <interface>
    network interface

--stage-timeout, -t <second>
    timeout for each auth [default is 5]

--wait-after-fail, -r <second>
    time to wait after fail (but will start immediately if the server ask to) [default is 30]

--max-fail, -l <num>
    max failure times [default is 3]

--no-auto-reauth, -x
    do not retry after disconnected [default is yes]

--daemonize, -b <0-3>
    0 = run foreground
    1 = run as daemon, without output
    2 = run as daemon, output to the console
    3 = run as daemon, output to the log
    [default is 0]

--proxy-lan-iface, -z <interface>
    the LAN interface if auth via proxy [default is none]

--auth-round, -j <count>
    times needs to auth [default is 1]

--max-retries <count>
    max retry times [default is 3]

--pid-file <pidfile>
    set to none to disable [default is /var/run/minieap.pid]

--conf-file <conffile>
    config file [default /etc/minieap.conf]

--if-impl <module>
    choose the network module. The option can be only used once. [default is the first available one]

--pkt-plugin <plugin>
    active the corresponding package modifier. The option can be used more than once. [default is none]

--module <module>
    active the corresponding module. The option can be used more than once. If you use --module or --pkt-plugin in command line, all the lines in config file containing "module=" will be ignored.

Available network modules

sockraw
    a module use RAW Socket

Available package modifier

printer
    print all the package that go through it

rjv3
    use auth algorithm via hyrathb@GitHub Ruijie V3

    --heartbeat, -e <second>
        seconds between packages [default is 60]

    --eap-bcast-addr, -a <0-1>
        Start package broadcast address [default BROADCAST_STANDARD] 0 = standard 1 = ruijie's address

    --dhcp-type, -d <0-3>
        DHCP methods [default HCP_AFTER_AUTH]
        0 = don't use DHCP
        1 = secondary auth
        2 = pre-auth DHCP
        3 = post-auth DHCP

    --dhcp-script, -c <script>
        run script between secondary auth and post-auth [default is none]

    --rj-option <type>:<value>[:r]
        customize sections, the type and value must be in hex. For example, --rj-option 6a:000102 means add a section of type 0x6a, with the content of 0x00 0x01 0x02 . :r means replace the default one generated by this program. For example, --rj-option 6f:000102:r means to replace the contents of 0x6f type to 0x00 0x12 0x02 . If the command line and the config file all have this one, both config will work.

    --service <service>
        customize service name [default is internet]

    --version-str <version>
        customize version string [default is RG-SU For Linux V1.0]

    --fake-dns1 <DNS>
        customize main DNS address (IPv4 in Dotted Decimal Notation) [it will get a address by default]

    --fake-dns2 <DNS>
        customize secondary DNS address (IPv4/IPv6)

    --fake-serial <serial>
        customize hard disk serial [it will gain by default]

    --max-dhcp-count <count>
        the times of timeout allowed when second auth wait for DHCP [default is 3]

SEE ALSO
https://github.com/updateing/minieap

AUTHOR

The maintainer of minieap is updateing (haotia@gmail.com).

This manual page was written by GengYu Rao (zouyoo@outlook.com), for the Debian project (and may be used by others).